OpenTTD Source: GrfActionHandler< TAction > Struct Template Reference

OpenTTD Source 15.3

Public Member Functions | Static Public Member Functions
GrfActionHandler< TAction > Struct Template Reference

GRF action handler. More...

`#include <newgrf_internal.h>`

## Public Member Functions
void | FileScan (ByteReader &)
void | SafetyScan (ByteReader &buf)
void | LabelScan (ByteReader &)
void | Init (ByteReader &)
void | Reserve (ByteReader &buf)
void | Activation (ByteReader &buf)
void | FileScan (ByteReader &buf)
void | SafetyScan (ByteReader &buf)
void | LabelScan (ByteReader &buf)
void | Init (ByteReader &buf)
void | Reserve (ByteReader &buf)
void | Activation (ByteReader &buf)
void | FileScan (ByteReader &)
void | SafetyScan (ByteReader &)
void | LabelScan (ByteReader &buf)
void | Init (ByteReader &)
void | Reserve (ByteReader &)
void | Activation (ByteReader &)
void | FileScan (ByteReader &buf)
void | SafetyScan (ByteReader &buf)
void | LabelScan (ByteReader &buf)
void | Init (ByteReader &buf)
void | Reserve (ByteReader &buf)
void | Activation (ByteReader &buf)
void | FileScan (ByteReader &buf)
void | SafetyScan (ByteReader &buf)
void | LabelScan (ByteReader &buf)
void | Init (ByteReader &buf)
void | Reserve (ByteReader &buf)
void | Activation (ByteReader &buf)
void | FileScan (ByteReader &)
void | SafetyScan (ByteReader &)
void | LabelScan (ByteReader &)
void | Init (ByteReader &)
void | Reserve (ByteReader &)
void | Activation (ByteReader &buf)
void | FileScan (ByteReader &buf)
void | SafetyScan (ByteReader &)
void | LabelScan (ByteReader &)
void | Init (ByteReader &)
void | Reserve (ByteReader &)
void | Activation (ByteReader &)
void | FileScan (ByteReader &)
void | SafetyScan (ByteReader &)
void | LabelScan (ByteReader &)
void | Init (ByteReader &)
void | Reserve (ByteReader &)
void | Activation (ByteReader &buf)
void | FileScan (ByteReader &)
void | SafetyScan (ByteReader &buf)
void | LabelScan (ByteReader &)
void | Init (ByteReader &)
void | Reserve (ByteReader &)
void | Activation (ByteReader &buf)
void | FileScan (ByteReader &)
void | SafetyScan (ByteReader &)
void | LabelScan (ByteReader &)
void | Init (ByteReader &)
void | Reserve (ByteReader &)
void | Activation (ByteReader &buf)
void | FileScan (ByteReader &buf)
void | SafetyScan (ByteReader &buf)
void | LabelScan (ByteReader &buf)
void | Init (ByteReader &buf)
void | Reserve (ByteReader &buf)
void | Activation (ByteReader &buf)
void | FileScan (ByteReader &)
void | SafetyScan (ByteReader &)
void | LabelScan (ByteReader &)
void | Init (ByteReader &buf)
void | Reserve (ByteReader &buf)
void | Activation (ByteReader &buf)
void | FileScan (ByteReader &)
void | SafetyScan (ByteReader &)
void | LabelScan (ByteReader &)
void | Init (ByteReader &)
void | Reserve (ByteReader &buf)
void | Activation (ByteReader &buf)
void | FileScan (ByteReader &)
void | SafetyScan (ByteReader &)
void | LabelScan (ByteReader &)
void | Init (ByteReader &buf)
void | Reserve (ByteReader &buf)
void | Activation (ByteReader &buf)
void | FileScan (ByteReader &buf)
void | SafetyScan (ByteReader &)
void | LabelScan (ByteReader &)
void | Init (ByteReader &buf)
void | Reserve (ByteReader &buf)
void | Activation (ByteReader &buf)
void | FileScan (ByteReader &buf)
void | SafetyScan (ByteReader &buf)
void | LabelScan (ByteReader &buf)
void | Init (ByteReader &buf)
void | Reserve (ByteReader &buf)
void | Activation (ByteReader &buf)
void | FileScan (ByteReader &)
void | SafetyScan (ByteReader &)
void | LabelScan (ByteReader &)
void | Init (ByteReader &buf)
void | Reserve (ByteReader &buf)
void | Activation (ByteReader &buf)
void | FileScan (ByteReader &)
void | SafetyScan (ByteReader &)
void | LabelScan (ByteReader &)
void | Init (ByteReader &buf)
void | Reserve (ByteReader &)
void | Activation (ByteReader &buf)
void | FileScan (ByteReader &)
void | SafetyScan (ByteReader &buf)
void | LabelScan (ByteReader &)
void | Init (ByteReader &buf)
void | Reserve (ByteReader &buf)
void | Activation (ByteReader &buf)
void | FileScan (ByteReader &)
void | SafetyScan (ByteReader &buf)
void | LabelScan (ByteReader &)
void | Init (ByteReader &buf)
void | Reserve (ByteReader &buf)
void | Activation (ByteReader &buf)
void | FileScan (ByteReader &)
void | SafetyScan (ByteReader &buf)
void | LabelScan (ByteReader &)
void | Init (ByteReader &buf)
void | Reserve (ByteReader &)
void | Activation (ByteReader &)

## Static Public Member Functions
static void | FileScan (ByteReader &buf)
static void | SafetyScan (ByteReader &buf)
static void | LabelScan (ByteReader &buf)
static void | Init (ByteReader &buf)
static void | Reserve (ByteReader &buf)
static void | Activation (ByteReader &buf)

## Detailed Description

template<uint8_t TAction>
struct GrfActionHandler< TAction >

GRF action handler.

Definition at line 37 of file newgrf_internal.h.

## Member Function Documentation

## ◆ Activation() [1/21]

void GrfActionHandler< 0x10 >::Activation | ( | ByteReader & |  | ) |

Definition at line 37 of file newgrf_act10.cpp.

## ◆ Activation() [2/21]

void GrfActionHandler< 0x14 >::Activation | ( | ByteReader & |  | ) |

Definition at line 462 of file newgrf_act14.cpp.

## ◆ Activation() [3/21]

void GrfActionHandler< 0x0F >::Activation | ( | ByteReader & |  | ) |

Definition at line 103 of file newgrf_actf.cpp.

## ◆ Activation() [4/21]

void GrfActionHandler< 0x00 >::Activation | ( | ByteReader & | buf | ) |

Definition at line 281 of file newgrf_act0.cpp.

## ◆ Activation() [5/21]

void GrfActionHandler< 0x01 >::Activation | ( | ByteReader & | buf | ) |

Definition at line 89 of file newgrf_act1.cpp.

## ◆ Activation() [6/21]

void GrfActionHandler< 0x11 >::Activation | ( | ByteReader & | buf | ) |

Definition at line 180 of file newgrf_act11.cpp.

## ◆ Activation() [7/21]

void GrfActionHandler< 0x12 >::Activation | ( | ByteReader & | buf | ) |

Definition at line 81 of file newgrf_act12.cpp.

## ◆ Activation() [8/21]

void GrfActionHandler< 0x13 >::Activation | ( | ByteReader & | buf | ) |

Definition at line 79 of file newgrf_act13.cpp.

## ◆ Activation() [9/21]

void GrfActionHandler< 0x02 >::Activation | ( | ByteReader & | buf | ) |

Definition at line 729 of file newgrf_act2.cpp.

## ◆ Activation() [10/21]

void GrfActionHandler< 0x03 >::Activation | ( | ByteReader & | buf | ) |

Definition at line 442 of file newgrf_act3.cpp.

## ◆ Activation() [11/21]

void GrfActionHandler< 0x04 >::Activation | ( | ByteReader & | buf | ) |

Definition at line 167 of file newgrf_act4.cpp.

## ◆ Activation() [12/21]

void GrfActionHandler< 0x05 >::Activation | ( | ByteReader & | buf | ) |

Definition at line 199 of file newgrf_act5.cpp.

## ◆ Activation() [13/21]

void GrfActionHandler< 0x06 >::Activation | ( | ByteReader & | buf | ) |

Definition at line 119 of file newgrf_act6.cpp.

## ◆ Activation() [14/21]

void GrfActionHandler< 0x07 >::Activation | ( | ByteReader & | buf | ) |

Definition at line 346 of file newgrf_act7_9.cpp.

## ◆ Activation() [15/21]

void GrfActionHandler< 0x09 >::Activation | ( | ByteReader & | buf | ) |

Definition at line 353 of file newgrf_act7_9.cpp.

## ◆ Activation() [16/21]

void GrfActionHandler< 0x08 >::Activation | ( | ByteReader & | buf | ) |

Definition at line 84 of file newgrf_act8.cpp.

## ◆ Activation() [17/21]

void GrfActionHandler< 0x0A >::Activation | ( | ByteReader & | buf | ) |

Definition at line 102 of file newgrf_acta.cpp.

## ◆ Activation() [18/21]

void GrfActionHandler< 0x0B >::Activation | ( | ByteReader & | buf | ) |

Definition at line 131 of file newgrf_actb.cpp.

## ◆ Activation() [19/21]

void GrfActionHandler< 0x0C >::Activation | ( | ByteReader & | buf | ) |

Definition at line 36 of file newgrf_actc.cpp.

## ◆ Activation() [20/21]

void GrfActionHandler< 0x0D >::Activation | ( | ByteReader & | buf | ) |

Definition at line 491 of file newgrf_actd.cpp.

## ◆ Activation() [21/21]

void GrfActionHandler< 0x0E >::Activation | ( | ByteReader & | buf | ) |

Definition at line 68 of file newgrf_acte.cpp.

## ◆ FileScan() [1/21]

void GrfActionHandler< 0x00 >::FileScan | ( | ByteReader & |  | ) |

Definition at line 276 of file newgrf_act0.cpp.

## ◆ FileScan() [2/21]

void GrfActionHandler< 0x10 >::FileScan | ( | ByteReader & |  | ) |

Definition at line 32 of file newgrf_act10.cpp.

## ◆ FileScan() [3/21]

void GrfActionHandler< 0x13 >::FileScan | ( | ByteReader & |  | ) |

Definition at line 74 of file newgrf_act13.cpp.

## ◆ FileScan() [4/21]

void GrfActionHandler< 0x02 >::FileScan | ( | ByteReader & |  | ) |

Definition at line 724 of file newgrf_act2.cpp.

## ◆ FileScan() [5/21]

void GrfActionHandler< 0x03 >::FileScan | ( | ByteReader & |  | ) |

Definition at line 437 of file newgrf_act3.cpp.

## ◆ FileScan() [6/21]

void GrfActionHandler< 0x04 >::FileScan | ( | ByteReader & |  | ) |

Definition at line 162 of file newgrf_act4.cpp.

## ◆ FileScan() [7/21]

void GrfActionHandler< 0x06 >::FileScan | ( | ByteReader & |  | ) |

Definition at line 114 of file newgrf_act6.cpp.

## ◆ FileScan() [8/21]

void GrfActionHandler< 0x07 >::FileScan | ( | ByteReader & |  | ) |

Definition at line 341 of file newgrf_act7_9.cpp.

## ◆ FileScan() [9/21]

void GrfActionHandler< 0x09 >::FileScan | ( | ByteReader & |  | ) |

Definition at line 348 of file newgrf_act7_9.cpp.

## ◆ FileScan() [10/21]

void GrfActionHandler< 0x0B >::FileScan | ( | ByteReader & |  | ) |

Definition at line 126 of file newgrf_actb.cpp.

## ◆ FileScan() [11/21]

void GrfActionHandler< 0x0C >::FileScan | ( | ByteReader & |  | ) |

Definition at line 31 of file newgrf_actc.cpp.

## ◆ FileScan() [12/21]

void GrfActionHandler< 0x0D >::FileScan | ( | ByteReader & |  | ) |

Definition at line 486 of file newgrf_actd.cpp.

## ◆ FileScan() [13/21]

void GrfActionHandler< 0x0E >::FileScan | ( | ByteReader & |  | ) |

Definition at line 63 of file newgrf_acte.cpp.

## ◆ FileScan() [14/21]

void GrfActionHandler< 0x0F >::FileScan | ( | ByteReader & |  | ) |

Definition at line 98 of file newgrf_actf.cpp.

## ◆ FileScan() [15/21]

void GrfActionHandler< 0x01 >::FileScan | ( | ByteReader & | buf | ) |

Definition at line 84 of file newgrf_act1.cpp.

## ◆ FileScan() [16/21]

void GrfActionHandler< 0x11 >::FileScan | ( | ByteReader & | buf | ) |

Definition at line 175 of file newgrf_act11.cpp.

## ◆ FileScan() [17/21]

void GrfActionHandler< 0x12 >::FileScan | ( | ByteReader & | buf | ) |

Definition at line 76 of file newgrf_act12.cpp.

## ◆ FileScan() [18/21]

void GrfActionHandler< 0x14 >::FileScan | ( | ByteReader & | buf | ) |

Definition at line 457 of file newgrf_act14.cpp.

## ◆ FileScan() [19/21]

void GrfActionHandler< 0x05 >::FileScan | ( | ByteReader & | buf | ) |

Definition at line 194 of file newgrf_act5.cpp.

## ◆ FileScan() [20/21]

void GrfActionHandler< 0x08 >::FileScan | ( | ByteReader & | buf | ) |

Definition at line 79 of file newgrf_act8.cpp.

## ◆ FileScan() [21/21]

void GrfActionHandler< 0x0A >::FileScan | ( | ByteReader & | buf | ) |

Definition at line 97 of file newgrf_acta.cpp.

## ◆ Init() [1/21]

void GrfActionHandler< 0x00 >::Init | ( | ByteReader & |  | ) |

Definition at line 279 of file newgrf_act0.cpp.

## ◆ Init() [2/21]

void GrfActionHandler< 0x10 >::Init | ( | ByteReader & |  | ) |

Definition at line 35 of file newgrf_act10.cpp.

## ◆ Init() [3/21]

void GrfActionHandler< 0x13 >::Init | ( | ByteReader & |  | ) |

Definition at line 77 of file newgrf_act13.cpp.

## ◆ Init() [4/21]

void GrfActionHandler< 0x14 >::Init | ( | ByteReader & |  | ) |

Definition at line 460 of file newgrf_act14.cpp.

## ◆ Init() [5/21]

void GrfActionHandler< 0x02 >::Init | ( | ByteReader & |  | ) |

Definition at line 727 of file newgrf_act2.cpp.

## ◆ Init() [6/21]

void GrfActionHandler< 0x03 >::Init | ( | ByteReader & |  | ) |

Definition at line 440 of file newgrf_act3.cpp.

## ◆ Init() [7/21]

void GrfActionHandler< 0x04 >::Init | ( | ByteReader & |  | ) |

Definition at line 165 of file newgrf_act4.cpp.

## ◆ Init() [8/21]

void GrfActionHandler< 0x07 >::Init | ( | ByteReader & |  | ) |

Definition at line 344 of file newgrf_act7_9.cpp.

## ◆ Init() [9/21]

void GrfActionHandler< 0x01 >::Init | ( | ByteReader & | buf | ) |

Definition at line 87 of file newgrf_act1.cpp.

## ◆ Init() [10/21]

void GrfActionHandler< 0x11 >::Init | ( | ByteReader & | buf | ) |

Definition at line 178 of file newgrf_act11.cpp.

## ◆ Init() [11/21]

void GrfActionHandler< 0x12 >::Init | ( | ByteReader & | buf | ) |

Definition at line 79 of file newgrf_act12.cpp.

## ◆ Init() [12/21]

void GrfActionHandler< 0x05 >::Init | ( | ByteReader & | buf | ) |

Definition at line 197 of file newgrf_act5.cpp.

## ◆ Init() [13/21]

void GrfActionHandler< 0x06 >::Init | ( | ByteReader & | buf | ) |

Definition at line 117 of file newgrf_act6.cpp.

## ◆ Init() [14/21]

void GrfActionHandler< 0x09 >::Init | ( | ByteReader & | buf | ) |

Definition at line 351 of file newgrf_act7_9.cpp.

## ◆ Init() [15/21]

void GrfActionHandler< 0x08 >::Init | ( | ByteReader & | buf | ) |

Definition at line 82 of file newgrf_act8.cpp.

## ◆ Init() [16/21]

void GrfActionHandler< 0x0A >::Init | ( | ByteReader & | buf | ) |

Definition at line 100 of file newgrf_acta.cpp.

## ◆ Init() [17/21]

void GrfActionHandler< 0x0B >::Init | ( | ByteReader & | buf | ) |

Definition at line 129 of file newgrf_actb.cpp.

## ◆ Init() [18/21]

void GrfActionHandler< 0x0C >::Init | ( | ByteReader & | buf | ) |

Definition at line 34 of file newgrf_actc.cpp.

## ◆ Init() [19/21]

void GrfActionHandler< 0x0D >::Init | ( | ByteReader & | buf | ) |

Definition at line 489 of file newgrf_actd.cpp.

## ◆ Init() [20/21]

void GrfActionHandler< 0x0E >::Init | ( | ByteReader & | buf | ) |

Definition at line 66 of file newgrf_acte.cpp.

## ◆ Init() [21/21]

void GrfActionHandler< 0x0F >::Init | ( | ByteReader & | buf | ) |

Definition at line 101 of file newgrf_actf.cpp.

## ◆ LabelScan() [1/21]

void GrfActionHandler< 0x00 >::LabelScan | ( | ByteReader & |  | ) |

Definition at line 278 of file newgrf_act0.cpp.

## ◆ LabelScan() [2/21]

void GrfActionHandler< 0x13 >::LabelScan | ( | ByteReader & |  | ) |

Definition at line 76 of file newgrf_act13.cpp.

## ◆ LabelScan() [3/21]

void GrfActionHandler< 0x14 >::LabelScan | ( | ByteReader & |  | ) |

Definition at line 459 of file newgrf_act14.cpp.

## ◆ LabelScan() [4/21]

void GrfActionHandler< 0x02 >::LabelScan | ( | ByteReader & |  | ) |

Definition at line 726 of file newgrf_act2.cpp.

## ◆ LabelScan() [5/21]

void GrfActionHandler< 0x03 >::LabelScan | ( | ByteReader & |  | ) |

Definition at line 439 of file newgrf_act3.cpp.

## ◆ LabelScan() [6/21]

void GrfActionHandler< 0x04 >::LabelScan | ( | ByteReader & |  | ) |

Definition at line 164 of file newgrf_act4.cpp.

## ◆ LabelScan() [7/21]

void GrfActionHandler< 0x06 >::LabelScan | ( | ByteReader & |  | ) |

Definition at line 116 of file newgrf_act6.cpp.

## ◆ LabelScan() [8/21]

void GrfActionHandler< 0x07 >::LabelScan | ( | ByteReader & |  | ) |

Definition at line 343 of file newgrf_act7_9.cpp.

## ◆ LabelScan() [9/21]

void GrfActionHandler< 0x09 >::LabelScan | ( | ByteReader & |  | ) |

Definition at line 350 of file newgrf_act7_9.cpp.

## ◆ LabelScan() [10/21]

void GrfActionHandler< 0x08 >::LabelScan | ( | ByteReader & |  | ) |

Definition at line 81 of file newgrf_act8.cpp.

## ◆ LabelScan() [11/21]

void GrfActionHandler< 0x0B >::LabelScan | ( | ByteReader & |  | ) |

Definition at line 128 of file newgrf_actb.cpp.

## ◆ LabelScan() [12/21]

void GrfActionHandler< 0x0C >::LabelScan | ( | ByteReader & |  | ) |

Definition at line 33 of file newgrf_actc.cpp.

## ◆ LabelScan() [13/21]

void GrfActionHandler< 0x0D >::LabelScan | ( | ByteReader & |  | ) |

Definition at line 488 of file newgrf_actd.cpp.

## ◆ LabelScan() [14/21]

void GrfActionHandler< 0x0E >::LabelScan | ( | ByteReader & |  | ) |

Definition at line 65 of file newgrf_acte.cpp.

## ◆ LabelScan() [15/21]

void GrfActionHandler< 0x0F >::LabelScan | ( | ByteReader & |  | ) |

Definition at line 100 of file newgrf_actf.cpp.

## ◆ LabelScan() [16/21]

void GrfActionHandler< 0x01 >::LabelScan | ( | ByteReader & | buf | ) |

Definition at line 86 of file newgrf_act1.cpp.

## ◆ LabelScan() [17/21]

void GrfActionHandler< 0x10 >::LabelScan | ( | ByteReader & | buf | ) |

Definition at line 34 of file newgrf_act10.cpp.

## ◆ LabelScan() [18/21]

void GrfActionHandler< 0x11 >::LabelScan | ( | ByteReader & | buf | ) |

Definition at line 177 of file newgrf_act11.cpp.

## ◆ LabelScan() [19/21]

void GrfActionHandler< 0x12 >::LabelScan | ( | ByteReader & | buf | ) |

Definition at line 78 of file newgrf_act12.cpp.

## ◆ LabelScan() [20/21]

void GrfActionHandler< 0x05 >::LabelScan | ( | ByteReader & | buf | ) |

Definition at line 196 of file newgrf_act5.cpp.

## ◆ LabelScan() [21/21]

void GrfActionHandler< 0x0A >::LabelScan | ( | ByteReader & | buf | ) |

Definition at line 99 of file newgrf_acta.cpp.

## ◆ Reserve() [1/21]

void GrfActionHandler< 0x10 >::Reserve | ( | ByteReader & |  | ) |

Definition at line 36 of file newgrf_act10.cpp.

## ◆ Reserve() [2/21]

void GrfActionHandler< 0x13 >::Reserve | ( | ByteReader & |  | ) |

Definition at line 78 of file newgrf_act13.cpp.

## ◆ Reserve() [3/21]

void GrfActionHandler< 0x14 >::Reserve | ( | ByteReader & |  | ) |

Definition at line 461 of file newgrf_act14.cpp.

## ◆ Reserve() [4/21]

void GrfActionHandler< 0x02 >::Reserve | ( | ByteReader & |  | ) |

Definition at line 728 of file newgrf_act2.cpp.

## ◆ Reserve() [5/21]

void GrfActionHandler< 0x03 >::Reserve | ( | ByteReader & |  | ) |

Definition at line 441 of file newgrf_act3.cpp.

## ◆ Reserve() [6/21]

void GrfActionHandler< 0x04 >::Reserve | ( | ByteReader & |  | ) |

Definition at line 166 of file newgrf_act4.cpp.

## ◆ Reserve() [7/21]

void GrfActionHandler< 0x0C >::Reserve | ( | ByteReader & |  | ) |

Definition at line 35 of file newgrf_actc.cpp.

## ◆ Reserve() [8/21]

void GrfActionHandler< 0x0F >::Reserve | ( | ByteReader & |  | ) |

Definition at line 102 of file newgrf_actf.cpp.

## ◆ Reserve() [9/21]

void GrfActionHandler< 0x00 >::Reserve | ( | ByteReader & | buf | ) |

Definition at line 280 of file newgrf_act0.cpp.

## ◆ Reserve() [10/21]

void GrfActionHandler< 0x01 >::Reserve | ( | ByteReader & | buf | ) |

Definition at line 88 of file newgrf_act1.cpp.

## ◆ Reserve() [11/21]

void GrfActionHandler< 0x11 >::Reserve | ( | ByteReader & | buf | ) |

Definition at line 179 of file newgrf_act11.cpp.

## ◆ Reserve() [12/21]

void GrfActionHandler< 0x12 >::Reserve | ( | ByteReader & | buf | ) |

Definition at line 80 of file newgrf_act12.cpp.

## ◆ Reserve() [13/21]

void GrfActionHandler< 0x05 >::Reserve | ( | ByteReader & | buf | ) |

Definition at line 198 of file newgrf_act5.cpp.

## ◆ Reserve() [14/21]

void GrfActionHandler< 0x06 >::Reserve | ( | ByteReader & | buf | ) |

Definition at line 118 of file newgrf_act6.cpp.

## ◆ Reserve() [15/21]

void GrfActionHandler< 0x07 >::Reserve | ( | ByteReader & | buf | ) |

Definition at line 345 of file newgrf_act7_9.cpp.

## ◆ Reserve() [16/21]

void GrfActionHandler< 0x09 >::Reserve | ( | ByteReader & | buf | ) |

Definition at line 352 of file newgrf_act7_9.cpp.

## ◆ Reserve() [17/21]

void GrfActionHandler< 0x08 >::Reserve | ( | ByteReader & | buf | ) |

Definition at line 83 of file newgrf_act8.cpp.

## ◆ Reserve() [18/21]

void GrfActionHandler< 0x0A >::Reserve | ( | ByteReader & | buf | ) |

Definition at line 101 of file newgrf_acta.cpp.

## ◆ Reserve() [19/21]

void GrfActionHandler< 0x0B >::Reserve | ( | ByteReader & | buf | ) |

Definition at line 130 of file newgrf_actb.cpp.

## ◆ Reserve() [20/21]

void GrfActionHandler< 0x0D >::Reserve | ( | ByteReader & | buf | ) |

Definition at line 490 of file newgrf_actd.cpp.

## ◆ Reserve() [21/21]

void GrfActionHandler< 0x0E >::Reserve | ( | ByteReader & | buf | ) |

Definition at line 67 of file newgrf_acte.cpp.

## ◆ SafetyScan() [1/21]

void GrfActionHandler< 0x10 >::SafetyScan | ( | ByteReader & |  | ) |

Definition at line 33 of file newgrf_act10.cpp.

## ◆ SafetyScan() [2/21]

void GrfActionHandler< 0x13 >::SafetyScan | ( | ByteReader & |  | ) |

Definition at line 75 of file newgrf_act13.cpp.

## ◆ SafetyScan() [3/21]

void GrfActionHandler< 0x14 >::SafetyScan | ( | ByteReader & |  | ) |

Definition at line 458 of file newgrf_act14.cpp.

## ◆ SafetyScan() [4/21]

void GrfActionHandler< 0x02 >::SafetyScan | ( | ByteReader & |  | ) |

Definition at line 725 of file newgrf_act2.cpp.

## ◆ SafetyScan() [5/21]

void GrfActionHandler< 0x04 >::SafetyScan | ( | ByteReader & |  | ) |

Definition at line 163 of file newgrf_act4.cpp.

## ◆ SafetyScan() [6/21]

void GrfActionHandler< 0x06 >::SafetyScan | ( | ByteReader & |  | ) |

Definition at line 115 of file newgrf_act6.cpp.

## ◆ SafetyScan() [7/21]

void GrfActionHandler< 0x07 >::SafetyScan | ( | ByteReader & |  | ) |

Definition at line 342 of file newgrf_act7_9.cpp.

## ◆ SafetyScan() [8/21]

void GrfActionHandler< 0x09 >::SafetyScan | ( | ByteReader & |  | ) |

Definition at line 349 of file newgrf_act7_9.cpp.

## ◆ SafetyScan() [9/21]

void GrfActionHandler< 0x08 >::SafetyScan | ( | ByteReader & |  | ) |

Definition at line 80 of file newgrf_act8.cpp.

## ◆ SafetyScan() [10/21]

void GrfActionHandler< 0x0B >::SafetyScan | ( | ByteReader & |  | ) |

Definition at line 127 of file newgrf_actb.cpp.

## ◆ SafetyScan() [11/21]

void GrfActionHandler< 0x0C >::SafetyScan | ( | ByteReader & |  | ) |

Definition at line 32 of file newgrf_actc.cpp.

## ◆ SafetyScan() [12/21]

void GrfActionHandler< 0x00 >::SafetyScan | ( | ByteReader & | buf | ) |

Definition at line 277 of file newgrf_act0.cpp.

## ◆ SafetyScan() [13/21]

void GrfActionHandler< 0x01 >::SafetyScan | ( | ByteReader & | buf | ) |

Definition at line 85 of file newgrf_act1.cpp.

## ◆ SafetyScan() [14/21]

void GrfActionHandler< 0x11 >::SafetyScan | ( | ByteReader & | buf | ) |

Definition at line 176 of file newgrf_act11.cpp.

## ◆ SafetyScan() [15/21]

void GrfActionHandler< 0x12 >::SafetyScan | ( | ByteReader & | buf | ) |

Definition at line 77 of file newgrf_act12.cpp.

## ◆ SafetyScan() [16/21]

void GrfActionHandler< 0x03 >::SafetyScan | ( | ByteReader & | buf | ) |

Definition at line 438 of file newgrf_act3.cpp.

## ◆ SafetyScan() [17/21]

void GrfActionHandler< 0x05 >::SafetyScan | ( | ByteReader & | buf | ) |

Definition at line 195 of file newgrf_act5.cpp.

## ◆ SafetyScan() [18/21]

void GrfActionHandler< 0x0A >::SafetyScan | ( | ByteReader & | buf | ) |

Definition at line 98 of file newgrf_acta.cpp.

## ◆ SafetyScan() [19/21]

void GrfActionHandler< 0x0D >::SafetyScan | ( | ByteReader & | buf | ) |

Definition at line 487 of file newgrf_actd.cpp.

## ◆ SafetyScan() [20/21]

void GrfActionHandler< 0x0E >::SafetyScan | ( | ByteReader & | buf | ) |

Definition at line 64 of file newgrf_acte.cpp.

## ◆ SafetyScan() [21/21]

void GrfActionHandler< 0x0F >::SafetyScan | ( | ByteReader & | buf | ) |

Definition at line 99 of file newgrf_actf.cpp.

The documentation for this struct was generated from the following file:

- src/newgrf/newgrf_internal.h